dbXML API

## com.dbxml.db.enterprise.sync
Class Group

    java.lang.Object
      com.dbxml.db.enterprise.sync.Group

All Implemented Interfaces:
  XMLSerializable

public final class Group
extends java.lang.Object
implements XMLSerializable

Group represents a dbXML Content grouping

Constructor Summary
`Group()`
`Group(java.lang.String name)`

Method Summary
`java.util.Set` `getCollections()`
`java.lang.String` `getName()`
`java.util.List` `getNotes()`
`int` `getStatus()`
`double` `getVersion()`
`void` `setName(java.lang.String name)`
`void` `setStatus(int status)`
`void` `setVersion(double version)`
`void` `streamFromXML(org.w3c.dom.Element element)` streamFromXML streams an object from XML.
`org.w3c.dom.Element` `streamToXML(org.w3c.dom.Document doc)` streamToXML streams an object to XML.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Group

    public Group()

### Group

    public Group(java.lang.String name)

Method Detail

### streamToXML

    public org.w3c.dom.Element streamToXML(org.w3c.dom.Document doc)
                                    throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamToXML streams an object to XML.

  Specified by:
    `streamToXML` in interface `XMLSerializable`
  Parameters:
    `doc` - The Owner Document
  Returns:
    A newly created Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### streamFromXML

    public void streamFromXML(org.w3c.dom.Element element)
                       throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamFromXML streams an object from XML.

  Specified by:
    `streamFromXML` in interface `XMLSerializable`
  Parameters:
    `element` - The Input Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getStatus

    public int getStatus()

### setStatus

    public void setStatus(int status)

### getVersion

    public double getVersion()

### setVersion

    public void setVersion(double version)

### getCollections

    public java.util.Set getCollections()

### getNotes

    public java.util.List getNotes()

dbXML API

Copyright (c) 2004 The dbXML Group